View Issue Details

IDProjectCategoryView StatusLast Update
0002483FreeCADBugpublic2016-04-06 10:27
ReporterbrickZAAssigned Toeivindkvedalen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0002483: Undo in spreadsheet breaks alias linkage
DescriptionIf I have a value in a spreadsheet cell that is linked to geometry via an alias, editing the value in the spreadsheet immediately updates the model as expected. If I "undo" in the spreadsheet, the value goes back to as before. However, the model does not update back to the original. Editing the value in the spreadsheet again also does not cause the model to update. If I save the model at that stage and re-open, all the spreadsheet cell aliases have disappeared. Re-configuring the alias with the same names as before restores the linkage to the model.
Steps To Reproduce1. Open attached fcstd file.
2. Double click on Spreadsheet in tree
3. Edit one of the value cells (model should update)
4. Undo (value change is undone in Spreadsheet, but model does not update)
5. Save
6. Close FreeCAD and re-open file
7. Double click on Spreadsheet
8. Right-click on any of the value cells and check their Alias, now empty.
Additional InformationUsing daily build from https://launchpad.net/~freecad-maintainers/+archive/ubuntu/freecad-daily

OS: Ubuntu 15.10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6647 (Git)
Build type: None
Branch: master
Hash: 9299a73cf1482db4120b94543b33c2f9ec758319
Python version: 2.7.10
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

brickZA

2016-03-22 15:08

reporter  

kombuislaaikas.fcstd (Attachment missing)

brickZA

2016-03-22 15:11

reporter   ~0006930

Forgot to add to be bug report?

Nothing in the "Report" window, nothing logged to console and apparently nothing interesing in FreeCAD.log (see attachment)

brickZA

2016-03-22 15:11

reporter  

FreeCAD.log (Attachment missing)

eivindkvedalen

2016-04-02 09:31

developer   ~0006942

Recreated problem in current master.

Related Changesets

FreeCAD: master 8fe0d424

2016-04-04 19:57:25

Eivind Kvedalen

Details Diff
Spreadsheet: Fixed undo/redo (issue 0002483). Affected Issues
0002483
mod - src/Mod/Spreadsheet/App/Cell.cpp Diff File
mod - src/Mod/Spreadsheet/App/Cell.h Diff File
mod - src/Mod/Spreadsheet/App/PropertySheet.cpp Diff File
mod - src/Mod/Spreadsheet/Gui/SpreadsheetView.cpp Diff File

Issue History

Date Modified Username Field Change
2016-03-22 15:08 brickZA New Issue
2016-03-22 15:08 brickZA File Added: kombuislaaikas.fcstd
2016-03-22 15:11 brickZA Note Added: 0006930
2016-03-22 15:11 brickZA File Added: FreeCAD.log
2016-04-02 09:31 eivindkvedalen Note Added: 0006942
2016-04-02 09:31 eivindkvedalen Assigned To => eivindkvedalen
2016-04-02 09:31 eivindkvedalen Status new => confirmed
2016-04-02 09:32 eivindkvedalen Status confirmed => assigned
2016-04-06 10:25 Changeset attached => FreeCAD Master master 8fe0d424
2016-04-06 10:27 wmayer Status assigned => closed
2016-04-06 10:27 wmayer Resolution open => fixed
2016-04-06 10:27 wmayer Fixed in Version => 0.16